XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

xselinux.h
1 /*
2 * This file generated automatically from xselinux.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __XSELINUX_H
13 #define __XSELINUX_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17
18 #ifdef __cplusplus
19 extern "C" {
20 #endif
21
22 #define XCB_SELINUX_MAJOR_VERSION 1
23 #define XCB_SELINUX_MINOR_VERSION 0
24
25 extern xcb_extension_t xcb_selinux_id;
26
30 typedef struct xcb_selinux_query_version_cookie_t {
31 unsigned int sequence;
32 } xcb_selinux_query_version_cookie_t;
33
35 #define XCB_SELINUX_QUERY_VERSION 0
36
40 typedef struct xcb_selinux_query_version_request_t {
41 uint8_t major_opcode;
42 uint8_t minor_opcode;
43 uint16_t length;
44 uint8_t client_major;
45 uint8_t client_minor;
46 } xcb_selinux_query_version_request_t;
47
51 typedef struct xcb_selinux_query_version_reply_t {
52 uint8_t response_type;
53 uint8_t pad0;
54 uint16_t sequence;
55 uint32_t length;
56 uint16_t server_major;
57 uint16_t server_minor;
58 } xcb_selinux_query_version_reply_t;
59
61 #define XCB_SELINUX_SET_DEVICE_CREATE_CONTEXT 1
62
66 typedef struct xcb_selinux_set_device_create_context_request_t {
67 uint8_t major_opcode;
68 uint8_t minor_opcode;
69 uint16_t length;
70 uint32_t context_len;
71 } xcb_selinux_set_device_create_context_request_t;
72
76 typedef struct xcb_selinux_get_device_create_context_cookie_t {
77 unsigned int sequence;
78 } xcb_selinux_get_device_create_context_cookie_t;
79
81 #define XCB_SELINUX_GET_DEVICE_CREATE_CONTEXT 2
82
86 typedef struct xcb_selinux_get_device_create_context_request_t {
87 uint8_t major_opcode;
88 uint8_t minor_opcode;
89 uint16_t length;
90 } xcb_selinux_get_device_create_context_request_t;
91
95 typedef struct xcb_selinux_get_device_create_context_reply_t {
96 uint8_t response_type;
97 uint8_t pad0;
98 uint16_t sequence;
99 uint32_t length;
100 uint32_t context_len;
101 uint8_t pad1[20];
102 } xcb_selinux_get_device_create_context_reply_t;
103
105 #define XCB_SELINUX_SET_DEVICE_CONTEXT 3
106
110 typedef struct xcb_selinux_set_device_context_request_t {
111 uint8_t major_opcode;
112 uint8_t minor_opcode;
113 uint16_t length;
114 uint32_t device;
115 uint32_t context_len;
116 } xcb_selinux_set_device_context_request_t;
117
121 typedef struct xcb_selinux_get_device_context_cookie_t {
122 unsigned int sequence;
123 } xcb_selinux_get_device_context_cookie_t;
124
126 #define XCB_SELINUX_GET_DEVICE_CONTEXT 4
127
131 typedef struct xcb_selinux_get_device_context_request_t {
132 uint8_t major_opcode;
133 uint8_t minor_opcode;
134 uint16_t length;
135 uint32_t device;
136 } xcb_selinux_get_device_context_request_t;
137
141 typedef struct xcb_selinux_get_device_context_reply_t {
142 uint8_t response_type;
143 uint8_t pad0;
144 uint16_t sequence;
145 uint32_t length;
146 uint32_t context_len;
147 uint8_t pad1[20];
148 } xcb_selinux_get_device_context_reply_t;
149
151 #define XCB_SELINUX_SET_WINDOW_CREATE_CONTEXT 5
152
156 typedef struct xcb_selinux_set_window_create_context_request_t {
157 uint8_t major_opcode;
158 uint8_t minor_opcode;
159 uint16_t length;
160 uint32_t context_len;
161 } xcb_selinux_set_window_create_context_request_t;
162
166 typedef struct xcb_selinux_get_window_create_context_cookie_t {
167 unsigned int sequence;
168 } xcb_selinux_get_window_create_context_cookie_t;
169
171 #define XCB_SELINUX_GET_WINDOW_CREATE_CONTEXT 6
172
176 typedef struct xcb_selinux_get_window_create_context_request_t {
177 uint8_t major_opcode;
178 uint8_t minor_opcode;
179 uint16_t length;
180 } xcb_selinux_get_window_create_context_request_t;
181
185 typedef struct xcb_selinux_get_window_create_context_reply_t {
186 uint8_t response_type;
187 uint8_t pad0;
188 uint16_t sequence;
189 uint32_t length;
190 uint32_t context_len;
191 uint8_t pad1[20];
192 } xcb_selinux_get_window_create_context_reply_t;
193
197 typedef struct xcb_selinux_get_window_context_cookie_t {
198 unsigned int sequence;
199 } xcb_selinux_get_window_context_cookie_t;
200
202 #define XCB_SELINUX_GET_WINDOW_CONTEXT 7
203
207 typedef struct xcb_selinux_get_window_context_request_t {
208 uint8_t major_opcode;
209 uint8_t minor_opcode;
210 uint16_t length;
211 xcb_window_t window;
212 } xcb_selinux_get_window_context_request_t;
213
217 typedef struct xcb_selinux_get_window_context_reply_t {
218 uint8_t response_type;
219 uint8_t pad0;
220 uint16_t sequence;
221 uint32_t length;
222 uint32_t context_len;
223 uint8_t pad1[20];
224 } xcb_selinux_get_window_context_reply_t;
225
229 typedef struct xcb_selinux_list_item_t {
230 xcb_atom_t name;
231 uint32_t object_context_len;
232 uint32_t data_context_len;
233 } xcb_selinux_list_item_t;
234
238 typedef struct xcb_selinux_list_item_iterator_t {
239 xcb_selinux_list_item_t *data;
240 int rem;
241 int index;
242 } xcb_selinux_list_item_iterator_t;
243
245 #define XCB_SELINUX_SET_PROPERTY_CREATE_CONTEXT 8
246
250 typedef struct xcb_selinux_set_property_create_context_request_t {
251 uint8_t major_opcode;
252 uint8_t minor_opcode;
253 uint16_t length;
254 uint32_t context_len;
255 } xcb_selinux_set_property_create_context_request_t;
256
260 typedef struct xcb_selinux_get_property_create_context_cookie_t {
261 unsigned int sequence;
262 } xcb_selinux_get_property_create_context_cookie_t;
263
265 #define XCB_SELINUX_GET_PROPERTY_CREATE_CONTEXT 9
266
270 typedef struct xcb_selinux_get_property_create_context_request_t {
271 uint8_t major_opcode;
272 uint8_t minor_opcode;
273 uint16_t length;
274 } xcb_selinux_get_property_create_context_request_t;
275
279 typedef struct xcb_selinux_get_property_create_context_reply_t {
280 uint8_t response_type;
281 uint8_t pad0;
282 uint16_t sequence;
283 uint32_t length;
284 uint32_t context_len;
285 uint8_t pad1[20];
286 } xcb_selinux_get_property_create_context_reply_t;
287
289 #define XCB_SELINUX_SET_PROPERTY_USE_CONTEXT 10
290
294 typedef struct xcb_selinux_set_property_use_context_request_t {
295 uint8_t major_opcode;
296 uint8_t minor_opcode;
297 uint16_t length;
298 uint32_t context_len;
299 } xcb_selinux_set_property_use_context_request_t;
300
304 typedef struct xcb_selinux_get_property_use_context_cookie_t {
305 unsigned int sequence;
306 } xcb_selinux_get_property_use_context_cookie_t;
307
309 #define XCB_SELINUX_GET_PROPERTY_USE_CONTEXT 11
310
314 typedef struct xcb_selinux_get_property_use_context_request_t {
315 uint8_t major_opcode;
316 uint8_t minor_opcode;
317 uint16_t length;
318 } xcb_selinux_get_property_use_context_request_t;
319
323 typedef struct xcb_selinux_get_property_use_context_reply_t {
324 uint8_t response_type;
325 uint8_t pad0;
326 uint16_t sequence;
327 uint32_t length;
328 uint32_t context_len;
329 uint8_t pad1[20];
330 } xcb_selinux_get_property_use_context_reply_t;
331
335 typedef struct xcb_selinux_get_property_context_cookie_t {
336 unsigned int sequence;
337 } xcb_selinux_get_property_context_cookie_t;
338
340 #define XCB_SELINUX_GET_PROPERTY_CONTEXT 12
341
345 typedef struct xcb_selinux_get_property_context_request_t {
346 uint8_t major_opcode;
347 uint8_t minor_opcode;
348 uint16_t length;
349 xcb_window_t window;
350 xcb_atom_t property;
351 } xcb_selinux_get_property_context_request_t;
352
356 typedef struct xcb_selinux_get_property_context_reply_t {
357 uint8_t response_type;
358 uint8_t pad0;
359 uint16_t sequence;
360 uint32_t length;
361 uint32_t context_len;
362 uint8_t pad1[20];
363 } xcb_selinux_get_property_context_reply_t;
364
368 typedef struct xcb_selinux_get_property_data_context_cookie_t {
369 unsigned int sequence;
370 } xcb_selinux_get_property_data_context_cookie_t;
371
373 #define XCB_SELINUX_GET_PROPERTY_DATA_CONTEXT 13
374
378 typedef struct xcb_selinux_get_property_data_context_request_t {
379 uint8_t major_opcode;
380 uint8_t minor_opcode;
381 uint16_t length;
382 xcb_window_t window;
383 xcb_atom_t property;
384 } xcb_selinux_get_property_data_context_request_t;
385
389 typedef struct xcb_selinux_get_property_data_context_reply_t {
390 uint8_t response_type;
391 uint8_t pad0;
392 uint16_t sequence;
393 uint32_t length;
394 uint32_t context_len;
395 uint8_t pad1[20];
396 } xcb_selinux_get_property_data_context_reply_t;
397
401 typedef struct xcb_selinux_list_properties_cookie_t {
402 unsigned int sequence;
403 } xcb_selinux_list_properties_cookie_t;
404
406 #define XCB_SELINUX_LIST_PROPERTIES 14
407
411 typedef struct xcb_selinux_list_properties_request_t {
412 uint8_t major_opcode;
413 uint8_t minor_opcode;
414 uint16_t length;
415 xcb_window_t window;
416 } xcb_selinux_list_properties_request_t;
417
421 typedef struct xcb_selinux_list_properties_reply_t {
422 uint8_t response_type;
423 uint8_t pad0;
424 uint16_t sequence;
425 uint32_t length;
426 uint32_t properties_len;
427 uint8_t pad1[20];
428 } xcb_selinux_list_properties_reply_t;
429
431 #define XCB_SELINUX_SET_SELECTION_CREATE_CONTEXT 15
432
436 typedef struct xcb_selinux_set_selection_create_context_request_t {
437 uint8_t major_opcode;
438 uint8_t minor_opcode;
439 uint16_t length;
440 uint32_t context_len;
441 } xcb_selinux_set_selection_create_context_request_t;
442
446 typedef struct xcb_selinux_get_selection_create_context_cookie_t {
447 unsigned int sequence;
448 } xcb_selinux_get_selection_create_context_cookie_t;
449
451 #define XCB_SELINUX_GET_SELECTION_CREATE_CONTEXT 16
452
456 typedef struct xcb_selinux_get_selection_create_context_request_t {
457 uint8_t major_opcode;
458 uint8_t minor_opcode;
459 uint16_t length;
460 } xcb_selinux_get_selection_create_context_request_t;
461
465 typedef struct xcb_selinux_get_selection_create_context_reply_t {
466 uint8_t response_type;
467 uint8_t pad0;
468 uint16_t sequence;
469 uint32_t length;
470 uint32_t context_len;
471 uint8_t pad1[20];
472 } xcb_selinux_get_selection_create_context_reply_t;
473
475 #define XCB_SELINUX_SET_SELECTION_USE_CONTEXT 17
476
480 typedef struct xcb_selinux_set_selection_use_context_request_t {
481 uint8_t major_opcode;
482 uint8_t minor_opcode;
483 uint16_t length;
484 uint32_t context_len;
485 } xcb_selinux_set_selection_use_context_request_t;
486
490 typedef struct xcb_selinux_get_selection_use_context_cookie_t {
491 unsigned int sequence;
492 } xcb_selinux_get_selection_use_context_cookie_t;
493
495 #define XCB_SELINUX_GET_SELECTION_USE_CONTEXT 18
496
500 typedef struct xcb_selinux_get_selection_use_context_request_t {
501 uint8_t major_opcode;
502 uint8_t minor_opcode;
503 uint16_t length;
504 } xcb_selinux_get_selection_use_context_request_t;
505
509 typedef struct xcb_selinux_get_selection_use_context_reply_t {
510 uint8_t response_type;
511 uint8_t pad0;
512 uint16_t sequence;
513 uint32_t length;
514 uint32_t context_len;
515 uint8_t pad1[20];
516 } xcb_selinux_get_selection_use_context_reply_t;
517
521 typedef struct xcb_selinux_get_selection_context_cookie_t {
522 unsigned int sequence;
523 } xcb_selinux_get_selection_context_cookie_t;
524
526 #define XCB_SELINUX_GET_SELECTION_CONTEXT 19
527
531 typedef struct xcb_selinux_get_selection_context_request_t {
532 uint8_t major_opcode;
533 uint8_t minor_opcode;
534 uint16_t length;
535 xcb_atom_t selection;
536 } xcb_selinux_get_selection_context_request_t;
537
541 typedef struct xcb_selinux_get_selection_context_reply_t {
542 uint8_t response_type;
543 uint8_t pad0;
544 uint16_t sequence;
545 uint32_t length;
546 uint32_t context_len;
547 uint8_t pad1[20];
548 } xcb_selinux_get_selection_context_reply_t;
549
553 typedef struct xcb_selinux_get_selection_data_context_cookie_t {
554 unsigned int sequence;
555 } xcb_selinux_get_selection_data_context_cookie_t;
556
558 #define XCB_SELINUX_GET_SELECTION_DATA_CONTEXT 20
559
563 typedef struct xcb_selinux_get_selection_data_context_request_t {
564 uint8_t major_opcode;
565 uint8_t minor_opcode;
566 uint16_t length;
567 xcb_atom_t selection;
568 } xcb_selinux_get_selection_data_context_request_t;
569
573 typedef struct xcb_selinux_get_selection_data_context_reply_t {
574 uint8_t response_type;
575 uint8_t pad0;
576 uint16_t sequence;
577 uint32_t length;
578 uint32_t context_len;
579 uint8_t pad1[20];
580 } xcb_selinux_get_selection_data_context_reply_t;
581
585 typedef struct xcb_selinux_list_selections_cookie_t {
586 unsigned int sequence;
587 } xcb_selinux_list_selections_cookie_t;
588
590 #define XCB_SELINUX_LIST_SELECTIONS 21
591
595 typedef struct xcb_selinux_list_selections_request_t {
596 uint8_t major_opcode;
597 uint8_t minor_opcode;
598 uint16_t length;
599 } xcb_selinux_list_selections_request_t;
600
604 typedef struct xcb_selinux_list_selections_reply_t {
605 uint8_t response_type;
606 uint8_t pad0;
607 uint16_t sequence;
608 uint32_t length;
609 uint32_t selections_len;
610 uint8_t pad1[20];
611 } xcb_selinux_list_selections_reply_t;
612
616 typedef struct xcb_selinux_get_client_context_cookie_t {
617 unsigned int sequence;
618 } xcb_selinux_get_client_context_cookie_t;
619
621 #define XCB_SELINUX_GET_CLIENT_CONTEXT 22
622
626 typedef struct xcb_selinux_get_client_context_request_t {
627 uint8_t major_opcode;
628 uint8_t minor_opcode;
629 uint16_t length;
630 uint32_t resource;
631 } xcb_selinux_get_client_context_request_t;
632
636 typedef struct xcb_selinux_get_client_context_reply_t {
637 uint8_t response_type;
638 uint8_t pad0;
639 uint16_t sequence;
640 uint32_t length;
641 uint32_t context_len;
642 uint8_t pad1[20];
643 } xcb_selinux_get_client_context_reply_t;
644
654 /*****************************************************************************
655 **
656 ** xcb_selinux_query_version_cookie_t xcb_selinux_query_version
657 **
658 ** @param xcb_connection_t *c
659 ** @param uint8_t client_major
660 ** @param uint8_t client_minor
661 ** @returns xcb_selinux_query_version_cookie_t
662 **
663 *****************************************************************************/
664
665 xcb_selinux_query_version_cookie_t
666 xcb_selinux_query_version (xcb_connection_t *c ,
667 uint8_t client_major ,
668 uint8_t client_minor );
669
682 /*****************************************************************************
683 **
684 ** xcb_selinux_query_version_cookie_t xcb_selinux_query_version_unchecked
685 **
686 ** @param xcb_connection_t *c
687 ** @param uint8_t client_major
688 ** @param uint8_t client_minor
689 ** @returns xcb_selinux_query_version_cookie_t
690 **
691 *****************************************************************************/
692
693 xcb_selinux_query_version_cookie_t
694 xcb_selinux_query_version_unchecked (xcb_connection_t *c ,
695 uint8_t client_major ,
696 uint8_t client_minor );
697
713 /*****************************************************************************
714 **
715 ** xcb_selinux_query_version_reply_t * xcb_selinux_query_version_reply
716 **
717 ** @param xcb_connection_t *c
718 ** @param xcb_selinux_query_version_cookie_t cookie
719 ** @param xcb_generic_error_t **e
720 ** @returns xcb_selinux_query_version_reply_t *
721 **
722 *****************************************************************************/
723
724 xcb_selinux_query_version_reply_t *
725 xcb_selinux_query_version_reply (xcb_connection_t *c ,
726 xcb_selinux_query_version_cookie_t cookie ,
727 xcb_generic_error_t **e );
728
729 int
730 xcb_selinux_set_device_create_context_sizeof (const void *_buffer );
731
744 /*****************************************************************************
745 **
746 ** xcb_void_cookie_t xcb_selinux_set_device_create_context_checked
747 **
748 ** @param xcb_connection_t *c
749 ** @param uint32_t context_len
750 ** @param const char *context
751 ** @returns xcb_void_cookie_t
752 **
753 *****************************************************************************/
754
755 xcb_void_cookie_t
756 xcb_selinux_set_device_create_context_checked (xcb_connection_t *c ,
757 uint32_t context_len ,
758 const char *context );
759
769 /*****************************************************************************
770 **
771 ** xcb_void_cookie_t xcb_selinux_set_device_create_context
772 **
773 ** @param xcb_connection_t *c
774 ** @param uint32_t context_len
775 ** @param const char *context
776 ** @returns xcb_void_cookie_t
777 **
778 *****************************************************************************/
779
780 xcb_void_cookie_t
781 xcb_selinux_set_device_create_context (xcb_connection_t *c ,
782 uint32_t context_len ,
783 const char *context );
784
785 int
786 xcb_selinux_get_device_create_context_sizeof (const void *_buffer );
787
797 /*****************************************************************************
798 **
799 ** xcb_selinux_get_device_create_context_cookie_t xcb_selinux_get_device_create_context
800 **
801 ** @param xcb_connection_t *c
802 ** @returns xcb_selinux_get_device_create_context_cookie_t
803 **
804 *****************************************************************************/
805
806 xcb_selinux_get_device_create_context_cookie_t
807 xcb_selinux_get_device_create_context (xcb_connection_t *c );
808
821 /*****************************************************************************
822 **
823 ** xcb_selinux_get_device_create_context_cookie_t xcb_selinux_get_device_create_context_unchecked
824 **
825 ** @param xcb_connection_t *c
826 ** @returns xcb_selinux_get_device_create_context_cookie_t
827 **
828 *****************************************************************************/
829
830 xcb_selinux_get_device_create_context_cookie_t
831 xcb_selinux_get_device_create_context_unchecked (xcb_connection_t *c );
832
833
834 /*****************************************************************************
835 **
836 ** char * xcb_selinux_get_device_create_context_context
837 **
838 ** @param const xcb_selinux_get_device_create_context_reply_t *R
839 ** @returns char *
840 **
841 *****************************************************************************/
842
843 char *
844 xcb_selinux_get_device_create_context_context (const xcb_selinux_get_device_create_context_reply_t *R );
845
846
847 /*****************************************************************************
848 **
849 ** int xcb_selinux_get_device_create_context_context_length
850 **
851 ** @param const xcb_selinux_get_device_create_context_reply_t *R
852 ** @returns int
853 **
854 *****************************************************************************/
855
856 int
857 xcb_selinux_get_device_create_context_context_length (const xcb_selinux_get_device_create_context_reply_t *R );
858
859
860 /*****************************************************************************
861 **
862 ** xcb_generic_iterator_t xcb_selinux_get_device_create_context_context_end
863 **
864 ** @param const xcb_selinux_get_device_create_context_reply_t *R
865 ** @returns xcb_generic_iterator_t
866 **
867 *****************************************************************************/
868
869 xcb_generic_iterator_t
870 xcb_selinux_get_device_create_context_context_end (const xcb_selinux_get_device_create_context_reply_t *R );
871
887 /*****************************************************************************
888 **
889 ** xcb_selinux_get_device_create_context_reply_t * xcb_selinux_get_device_create_context_reply
890 **
891 ** @param xcb_connection_t *c
892 ** @param xcb_selinux_get_device_create_context_cookie_t cookie
893 ** @param xcb_generic_error_t **e
894 ** @returns xcb_selinux_get_device_create_context_reply_t *
895 **
896 *****************************************************************************/
897
898 xcb_selinux_get_device_create_context_reply_t *
899 xcb_selinux_get_device_create_context_reply (xcb_connection_t *c ,
900 xcb_selinux_get_device_create_context_cookie_t cookie ,
901 xcb_generic_error_t **e );
902
903 int
904 xcb_selinux_set_device_context_sizeof (const void *_buffer );
905
918 /*****************************************************************************
919 **
920 ** xcb_void_cookie_t xcb_selinux_set_device_context_checked
921 **
922 ** @param xcb_connection_t *c
923 ** @param uint32_t device
924 ** @param uint32_t context_len
925 ** @param const char *context
926 ** @returns xcb_void_cookie_t
927 **
928 *****************************************************************************/
929
930 xcb_void_cookie_t
931 xcb_selinux_set_device_context_checked (xcb_connection_t *c ,
932 uint32_t device ,
933 uint32_t context_len ,
934 const char *context );
935
945 /*****************************************************************************
946 **
947 ** xcb_void_cookie_t xcb_selinux_set_device_context
948 **
949 ** @param xcb_connection_t *c
950 ** @param uint32_t device
951 ** @param uint32_t context_len
952 ** @param const char *context
953 ** @returns xcb_void_cookie_t
954 **
955 *****************************************************************************/
956
957 xcb_void_cookie_t
958 xcb_selinux_set_device_context (xcb_connection_t *c ,
959 uint32_t device ,
960 uint32_t context_len ,
961 const char *context );
962
963 int
964 xcb_selinux_get_device_context_sizeof (const void *_buffer );
965
975 /*****************************************************************************
976 **
977 ** xcb_selinux_get_device_context_cookie_t xcb_selinux_get_device_context
978 **
979 ** @param xcb_connection_t *c
980 ** @param uint32_t device
981 ** @returns xcb_selinux_get_device_context_cookie_t
982 **
983 *****************************************************************************/
984
985 xcb_selinux_get_device_context_cookie_t
986 xcb_selinux_get_device_context (xcb_connection_t *c ,
987 uint32_t device );
988
1001 /*****************************************************************************
1002 **
1003 ** xcb_selinux_get_device_context_cookie_t xcb_selinux_get_device_context_unchecked
1004 **
1005 ** @param xcb_connection_t *c
1006 ** @param uint32_t device
1007 ** @returns xcb_selinux_get_device_context_cookie_t
1008 **
1009 *****************************************************************************/
1010
1011 xcb_selinux_get_device_context_cookie_t
1012 xcb_selinux_get_device_context_unchecked (xcb_connection_t *c ,
1013 uint32_t device );
1014
1015
1016 /*****************************************************************************
1017 **
1018 ** char * xcb_selinux_get_device_context_context
1019 **
1020 ** @param const xcb_selinux_get_device_context_reply_t *R
1021 ** @returns char *
1022 **
1023 *****************************************************************************/
1024
1025 char *
1026 xcb_selinux_get_device_context_context (const xcb_selinux_get_device_context_reply_t *R );
1027
1028
1029 /*****************************************************************************
1030 **
1031 ** int xcb_selinux_get_device_context_context_length
1032 **
1033 ** @param const xcb_selinux_get_device_context_reply_t *R
1034 ** @returns int
1035 **
1036 *****************************************************************************/
1037
1038 int
1039 xcb_selinux_get_device_context_context_length (const xcb_selinux_get_device_context_reply_t *R );
1040
1041
1042 /*****************************************************************************
1043 **
1044 ** xcb_generic_iterator_t xcb_selinux_get_device_context_context_end
1045 **
1046 ** @param const xcb_selinux_get_device_context_reply_t *R
1047 ** @returns xcb_generic_iterator_t
1048 **
1049 *****************************************************************************/
1050
1051 xcb_generic_iterator_t
1052 xcb_selinux_get_device_context_context_end (const xcb_selinux_get_device_context_reply_t *R );
1053
1069 /*****************************************************************************
1070 **
1071 ** xcb_selinux_get_device_context_reply_t * xcb_selinux_get_device_context_reply
1072 **
1073 ** @param xcb_connection_t *c
1074 ** @param xcb_selinux_get_device_context_cookie_t cookie
1075 ** @param xcb_generic_error_t **e
1076 ** @returns xcb_selinux_get_device_context_reply_t *
1077 **
1078 *****************************************************************************/
1079
1080 xcb_selinux_get_device_context_reply_t *
1081 xcb_selinux_get_device_context_reply (xcb_connection_t *c ,
1082 xcb_selinux_get_device_context_cookie_t cookie ,
1083 xcb_generic_error_t **e );
1084
1085 int
1086 xcb_selinux_set_window_create_context_sizeof (const void *_buffer );
1087
1100 /*****************************************************************************
1101 **
1102 ** xcb_void_cookie_t xcb_selinux_set_window_create_context_checked
1103 **
1104 ** @param xcb_connection_t *c
1105 ** @param uint32_t context_len
1106 ** @param const char *context
1107 ** @returns xcb_void_cookie_t
1108 **
1109 *****************************************************************************/
1110
1111 xcb_void_cookie_t
1112 xcb_selinux_set_window_create_context_checked (xcb_connection_t *c ,
1113 uint32_t context_len ,
1114 const char *context );
1115
1125 /*****************************************************************************
1126 **
1127 ** xcb_void_cookie_t xcb_selinux_set_window_create_context
1128 **
1129 ** @param xcb_connection_t *c
1130 ** @param uint32_t context_len
1131 ** @param const char *context
1132 ** @returns xcb_void_cookie_t
1133 **
1134 *****************************************************************************/
1135
1136 xcb_void_cookie_t
1137 xcb_selinux_set_window_create_context (xcb_connection_t *c ,
1138 uint32_t context_len ,
1139 const char *context );
1140
1141 int
1142 xcb_selinux_get_window_create_context_sizeof (const void *_buffer );
1143
1153 /*****************************************************************************
1154 **
1155 ** xcb_selinux_get_window_create_context_cookie_t xcb_selinux_get_window_create_context
1156 **
1157 ** @param xcb_connection_t *c
1158 ** @returns xcb_selinux_get_window_create_context_cookie_t
1159 **
1160 *****************************************************************************/
1161
1162 xcb_selinux_get_window_create_context_cookie_t
1163 xcb_selinux_get_window_create_context (xcb_connection_t *c );
1164
1177 /*****************************************************************************
1178 **
1179 ** xcb_selinux_get_window_create_context_cookie_t xcb_selinux_get_window_create_context_unchecked
1180 **
1181 ** @param xcb_connection_t *c
1182 ** @returns xcb_selinux_get_window_create_context_cookie_t
1183 **
1184 *****************************************************************************/
1185
1186 xcb_selinux_get_window_create_context_cookie_t
1187 xcb_selinux_get_window_create_context_unchecked (xcb_connection_t *c );
1188
1189
1190 /*****************************************************************************
1191 **
1192 ** char * xcb_selinux_get_window_create_context_context
1193 **
1194 ** @param const xcb_selinux_get_window_create_context_reply_t *R
1195 ** @returns char *
1196 **
1197 *****************************************************************************/
1198
1199 char *
1200 xcb_selinux_get_window_create_context_context (const xcb_selinux_get_window_create_context_reply_t *R );
1201
1202
1203 /*****************************************************************************
1204 **
1205 ** int xcb_selinux_get_window_create_context_context_length
1206 **
1207 ** @param const xcb_selinux_get_window_create_context_reply_t *R
1208 ** @returns int
1209 **
1210 *****************************************************************************/
1211
1212 int
1213 xcb_selinux_get_window_create_context_context_length (const xcb_selinux_get_window_create_context_reply_t *R );
1214
1215
1216 /*****************************************************************************
1217 **
1218 ** xcb_generic_iterator_t xcb_selinux_get_window_create_context_context_end
1219 **
1220 ** @param const xcb_selinux_get_window_create_context_reply_t *R
1221 ** @returns xcb_generic_iterator_t
1222 **
1223 *****************************************************************************/
1224
1225 xcb_generic_iterator_t
1226 xcb_selinux_get_window_create_context_context_end (const xcb_selinux_get_window_create_context_reply_t *R );
1227
1243 /*****************************************************************************
1244 **
1245 ** xcb_selinux_get_window_create_context_reply_t * xcb_selinux_get_window_create_context_reply
1246 **
1247 ** @param xcb_connection_t *c
1248 ** @param xcb_selinux_get_window_create_context_cookie_t cookie
1249 ** @param xcb_generic_error_t **e
1250 ** @returns xcb_selinux_get_window_create_context_reply_t *
1251 **
1252 *****************************************************************************/
1253
1254 xcb_selinux_get_window_create_context_reply_t *
1255 xcb_selinux_get_window_create_context_reply (xcb_connection_t *c ,
1256 xcb_selinux_get_window_create_context_cookie_t cookie ,
1257 xcb_generic_error_t **e );
1258
1259 int
1260 xcb_selinux_get_window_context_sizeof (const void *_buffer );
1261
1271 /*****************************************************************************
1272 **
1273 ** xcb_selinux_get_window_context_cookie_t xcb_selinux_get_window_context
1274 **
1275 ** @param xcb_connection_t *c
1276 ** @param xcb_window_t window
1277 ** @returns xcb_selinux_get_window_context_cookie_t
1278 **
1279 *****************************************************************************/
1280
1281 xcb_selinux_get_window_context_cookie_t
1282 xcb_selinux_get_window_context (xcb_connection_t *c ,
1283 xcb_window_t window );
1284
1297 /*****************************************************************************
1298 **
1299 ** xcb_selinux_get_window_context_cookie_t xcb_selinux_get_window_context_unchecked
1300 **
1301 ** @param xcb_connection_t *c
1302 ** @param xcb_window_t window
1303 ** @returns xcb_selinux_get_window_context_cookie_t
1304 **
1305 *****************************************************************************/
1306
1307 xcb_selinux_get_window_context_cookie_t
1308 xcb_selinux_get_window_context_unchecked (xcb_connection_t *c ,
1309 xcb_window_t window );
1310
1311
1312 /*****************************************************************************
1313 **
1314 ** char * xcb_selinux_get_window_context_context
1315 **
1316 ** @param const xcb_selinux_get_window_context_reply_t *R
1317 ** @returns char *
1318 **
1319 *****************************************************************************/
1320
1321 char *
1322 xcb_selinux_get_window_context_context (const xcb_selinux_get_window_context_reply_t *R );
1323
1324
1325 /*****************************************************************************
1326 **
1327 ** int xcb_selinux_get_window_context_context_length
1328 **
1329 ** @param const xcb_selinux_get_window_context_reply_t *R
1330 ** @returns int
1331 **
1332 *****************************************************************************/
1333
1334 int
1335 xcb_selinux_get_window_context_context_length (const xcb_selinux_get_window_context_reply_t *R );
1336
1337
1338 /*****************************************************************************
1339 **
1340 ** xcb_generic_iterator_t xcb_selinux_get_window_context_context_end
1341 **
1342 ** @param const xcb_selinux_get_window_context_reply_t *R
1343 ** @returns xcb_generic_iterator_t
1344 **
1345 *****************************************************************************/
1346
1347 xcb_generic_iterator_t
1348 xcb_selinux_get_window_context_context_end (const xcb_selinux_get_window_context_reply_t *R );
1349
1365 /*****************************************************************************
1366 **
1367 ** xcb_selinux_get_window_context_reply_t * xcb_selinux_get_window_context_reply
1368 **
1369 ** @param xcb_connection_t *c
1370 ** @param xcb_selinux_get_window_context_cookie_t cookie
1371 ** @param xcb_generic_error_t **e
1372 ** @returns xcb_selinux_get_window_context_reply_t *
1373 **
1374 *****************************************************************************/
1375
1376 xcb_selinux_get_window_context_reply_t *
1377 xcb_selinux_get_window_context_reply (xcb_connection_t *c ,
1378 xcb_selinux_get_window_context_cookie_t cookie ,
1379 xcb_generic_error_t **e );
1380
1381 int
1382 xcb_selinux_list_item_sizeof (const void *_buffer );
1383
1384
1385 /*****************************************************************************
1386 **
1387 ** char * xcb_selinux_list_item_object_context
1388 **
1389 ** @param const xcb_selinux_list_item_t *R
1390 ** @returns char *
1391 **
1392 *****************************************************************************/
1393
1394 char *
1395 xcb_selinux_list_item_object_context (const xcb_selinux_list_item_t *R );
1396
1397
1398 /*****************************************************************************
1399 **
1400 ** int xcb_selinux_list_item_object_context_length
1401 **
1402 ** @param const xcb_selinux_list_item_t *R
1403 ** @returns int
1404 **
1405 *****************************************************************************/
1406
1407 int
1408 xcb_selinux_list_item_object_context_length (const xcb_selinux_list_item_t *R );
1409
1410
1411 /*****************************************************************************
1412 **
1413 ** xcb_generic_iterator_t xcb_selinux_list_item_object_context_end
1414 **
1415 ** @param const xcb_selinux_list_item_t *R
1416 ** @returns xcb_generic_iterator_t
1417 **
1418 *****************************************************************************/
1419
1420 xcb_generic_iterator_t
1421 xcb_selinux_list_item_object_context_end (const xcb_selinux_list_item_t *R );
1422
1423
1424 /*****************************************************************************
1425 **
1426 ** char * xcb_selinux_list_item_data_context
1427 **
1428 ** @param const xcb_selinux_list_item_t *R
1429 ** @returns char *
1430 **
1431 *****************************************************************************/
1432
1433 char *
1434 xcb_selinux_list_item_data_context (const xcb_selinux_list_item_t *R );
1435
1436
1437 /*****************************************************************************
1438 **
1439 ** int xcb_selinux_list_item_data_context_length
1440 **
1441 ** @param const xcb_selinux_list_item_t *R
1442 ** @returns int
1443 **
1444 *****************************************************************************/
1445
1446 int
1447 xcb_selinux_list_item_data_context_length (const xcb_selinux_list_item_t *R );
1448
1449
1450 /*****************************************************************************
1451 **
1452 ** xcb_generic_iterator_t xcb_selinux_list_item_data_context_end
1453 **
1454 ** @param const xcb_selinux_list_item_t *R
1455 ** @returns xcb_generic_iterator_t
1456 **
1457 *****************************************************************************/
1458
1459 xcb_generic_iterator_t
1460 xcb_selinux_list_item_data_context_end (const xcb_selinux_list_item_t *R );
1461
1471 /*****************************************************************************
1472 **
1473 ** void xcb_selinux_list_item_next
1474 **
1475 ** @param xcb_selinux_list_item_iterator_t *i
1476 ** @returns void
1477 **
1478 *****************************************************************************/
1479
1480 void
1481 xcb_selinux_list_item_next (xcb_selinux_list_item_iterator_t *i );
1482
1493 /*****************************************************************************
1494 **
1495 ** xcb_generic_iterator_t xcb_selinux_list_item_end
1496 **
1497 ** @param xcb_selinux_list_item_iterator_t i
1498 ** @returns xcb_generic_iterator_t
1499 **
1500 *****************************************************************************/
1501
1502 xcb_generic_iterator_t
1503 xcb_selinux_list_item_end (xcb_selinux_list_item_iterator_t i );
1504
1505 int
1506 xcb_selinux_set_property_create_context_sizeof (const void *_buffer );
1507
1520 /*****************************************************************************
1521 **
1522 ** xcb_void_cookie_t xcb_selinux_set_property_create_context_checked
1523 **
1524 ** @param xcb_connection_t *c
1525 ** @param uint32_t context_len
1526 ** @param const char *context
1527 ** @returns xcb_void_cookie_t
1528 **
1529 *****************************************************************************/
1530
1531 xcb_void_cookie_t
1532 xcb_selinux_set_property_create_context_checked (xcb_connection_t *c ,
1533 uint32_t context_len ,
1534 const char *context );
1535
1545 /*****************************************************************************
1546 **
1547 ** xcb_void_cookie_t xcb_selinux_set_property_create_context
1548 **
1549 ** @param xcb_connection_t *c
1550 ** @param uint32_t context_len
1551 ** @param const char *context
1552 ** @returns xcb_void_cookie_t
1553 **
1554 *****************************************************************************/
1555
1556 xcb_void_cookie_t
1557 xcb_selinux_set_property_create_context (xcb_connection_t *c ,
1558 uint32_t context_len ,
1559 const char *context );
1560
1561 int
1562 xcb_selinux_get_property_create_context_sizeof (const void *_buffer );
1563
1573 /*****************************************************************************
1574 **
1575 ** xcb_selinux_get_property_create_context_cookie_t xcb_selinux_get_property_create_context
1576 **
1577 ** @param xcb_connection_t *c
1578 ** @returns xcb_selinux_get_property_create_context_cookie_t
1579 **
1580 *****************************************************************************/
1581
1582 xcb_selinux_get_property_create_context_cookie_t
1583 xcb_selinux_get_property_create_context (xcb_connection_t *c );
1584
1597 /*****************************************************************************
1598 **
1599 ** xcb_selinux_get_property_create_context_cookie_t xcb_selinux_get_property_create_context_unchecked
1600 **
1601 ** @param xcb_connection_t *c
1602 ** @returns xcb_selinux_get_property_create_context_cookie_t
1603 **
1604 *****************************************************************************/
1605
1606 xcb_selinux_get_property_create_context_cookie_t
1607 xcb_selinux_get_property_create_context_unchecked (xcb_connection_t *c );
1608
1609
1610 /*****************************************************************************
1611 **
1612 ** char * xcb_selinux_get_property_create_context_context
1613 **
1614 ** @param const xcb_selinux_get_property_create_context_reply_t *R
1615 ** @returns char *
1616 **
1617 *****************************************************************************/
1618
1619 char *
1620 xcb_selinux_get_property_create_context_context (const xcb_selinux_get_property_create_context_reply_t *R );
1621
1622
1623 /*****************************************************************************
1624 **
1625 ** int xcb_selinux_get_property_create_context_context_length
1626 **
1627 ** @param const xcb_selinux_get_property_create_context_reply_t *R
1628 ** @returns int
1629 **
1630 *****************************************************************************/
1631
1632 int
1633 xcb_selinux_get_property_create_context_context_length (const xcb_selinux_get_property_create_context_reply_t *R );
1634
1635
1636 /*****************************************************************************
1637 **
1638 ** xcb_generic_iterator_t xcb_selinux_get_property_create_context_context_end
1639 **
1640 ** @param const xcb_selinux_get_property_create_context_reply_t *R
1641 ** @returns xcb_generic_iterator_t
1642 **
1643 *****************************************************************************/
1644
1645 xcb_generic_iterator_t
1646 xcb_selinux_get_property_create_context_context_end (const xcb_selinux_get_property_create_context_reply_t *R );
1647
1663 /*****************************************************************************
1664 **
1665 ** xcb_selinux_get_property_create_context_reply_t * xcb_selinux_get_property_create_context_reply
1666 **
1667 ** @param xcb_connection_t *c
1668 ** @param xcb_selinux_get_property_create_context_cookie_t cookie
1669 ** @param xcb_generic_error_t **e
1670 ** @returns xcb_selinux_get_property_create_context_reply_t *
1671 **
1672 *****************************************************************************/
1673
1674 xcb_selinux_get_property_create_context_reply_t *
1675 xcb_selinux_get_property_create_context_reply (xcb_connection_t *c ,
1676 xcb_selinux_get_property_create_context_cookie_t cookie ,
1677 xcb_generic_error_t **e );
1678
1679 int
1680 xcb_selinux_set_property_use_context_sizeof (const void *_buffer );
1681
1694 /*****************************************************************************
1695 **
1696 ** xcb_void_cookie_t xcb_selinux_set_property_use_context_checked
1697 **
1698 ** @param xcb_connection_t *c
1699 ** @param uint32_t context_len
1700 ** @param const char *context
1701 ** @returns xcb_void_cookie_t
1702 **
1703 *****************************************************************************/
1704
1705 xcb_void_cookie_t
1706 xcb_selinux_set_property_use_context_checked (xcb_connection_t *c ,
1707 uint32_t context_len ,
1708 const char *context );
1709
1719 /*****************************************************************************
1720 **
1721 ** xcb_void_cookie_t xcb_selinux_set_property_use_context
1722 **
1723 ** @param xcb_connection_t *c
1724 ** @param uint32_t context_len
1725 ** @param const char *context
1726 ** @returns xcb_void_cookie_t
1727 **
1728 *****************************************************************************/
1729
1730 xcb_void_cookie_t
1731 xcb_selinux_set_property_use_context (xcb_connection_t *c ,
1732 uint32_t context_len ,
1733 const char *context );
1734
1735 int
1736 xcb_selinux_get_property_use_context_sizeof (const void *_buffer );
1737
1747 /*****************************************************************************
1748 **
1749 ** xcb_selinux_get_property_use_context_cookie_t xcb_selinux_get_property_use_context
1750 **
1751 ** @param xcb_connection_t *c
1752 ** @returns xcb_selinux_get_property_use_context_cookie_t
1753 **
1754 *****************************************************************************/
1755
1756 xcb_selinux_get_property_use_context_cookie_t
1757 xcb_selinux_get_property_use_context (xcb_connection_t *c );
1758
1771 /*****************************************************************************
1772 **
1773 ** xcb_selinux_get_property_use_context_cookie_t xcb_selinux_get_property_use_context_unchecked
1774 **
1775 ** @param xcb_connection_t *c
1776 ** @returns xcb_selinux_get_property_use_context_cookie_t
1777 **
1778 *****************************************************************************/
1779
1780 xcb_selinux_get_property_use_context_cookie_t
1781 xcb_selinux_get_property_use_context_unchecked (xcb_connection_t *c );
1782
1783
1784 /*****************************************************************************
1785 **
1786 ** char * xcb_selinux_get_property_use_context_context
1787 **
1788 ** @param const xcb_selinux_get_property_use_context_reply_t *R
1789 ** @returns char *
1790 **
1791 *****************************************************************************/
1792
1793 char *
1794 xcb_selinux_get_property_use_context_context (const xcb_selinux_get_property_use_context_reply_t *R );
1795
1796
1797 /*****************************************************************************
1798 **
1799 ** int xcb_selinux_get_property_use_context_context_length
1800 **
1801 ** @param const xcb_selinux_get_property_use_context_reply_t *R
1802 ** @returns int
1803 **
1804 *****************************************************************************/
1805
1806 int
1807 xcb_selinux_get_property_use_context_context_length (const xcb_selinux_get_property_use_context_reply_t *R );
1808
1809
1810 /*****************************************************************************
1811 **
1812 ** xcb_generic_iterator_t xcb_selinux_get_property_use_context_context_end
1813 **
1814 ** @param const xcb_selinux_get_property_use_context_reply_t *R
1815 ** @returns xcb_generic_iterator_t
1816 **
1817 *****************************************************************************/
1818
1819 xcb_generic_iterator_t
1820 xcb_selinux_get_property_use_context_context_end (const xcb_selinux_get_property_use_context_reply_t *R );
1821
1837 /*****************************************************************************
1838 **
1839 ** xcb_selinux_get_property_use_context_reply_t * xcb_selinux_get_property_use_context_reply
1840 **
1841 ** @param xcb_connection_t *c
1842 ** @param xcb_selinux_get_property_use_context_cookie_t cookie
1843 ** @param xcb_generic_error_t **e
1844 ** @returns xcb_selinux_get_property_use_context_reply_t *
1845 **
1846 *****************************************************************************/
1847
1848 xcb_selinux_get_property_use_context_reply_t *
1849 xcb_selinux_get_property_use_context_reply (xcb_connection_t *c ,
1850 xcb_selinux_get_property_use_context_cookie_t cookie ,
1851 xcb_generic_error_t **e );
1852
1853 int
1854 xcb_selinux_get_property_context_sizeof (const void *_buffer );
1855
1865 /*****************************************************************************
1866 **
1867 ** xcb_selinux_get_property_context_cookie_t xcb_selinux_get_property_context
1868 **
1869 ** @param xcb_connection_t *c
1870 ** @param xcb_window_t window
1871 ** @param xcb_atom_t property
1872 ** @returns xcb_selinux_get_property_context_cookie_t
1873 **
1874 *****************************************************************************/
1875
1876 xcb_selinux_get_property_context_cookie_t
1877 xcb_selinux_get_property_context (xcb_connection_t *c ,
1878 xcb_window_t window ,
1879 xcb_atom_t property );
1880
1893 /*****************************************************************************
1894 **
1895 ** xcb_selinux_get_property_context_cookie_t xcb_selinux_get_property_context_unchecked
1896 **
1897 ** @param xcb_connection_t *c
1898 ** @param xcb_window_t window
1899 ** @param xcb_atom_t property
1900 ** @returns xcb_selinux_get_property_context_cookie_t
1901 **
1902 *****************************************************************************/
1903
1904 xcb_selinux_get_property_context_cookie_t
1905 xcb_selinux_get_property_context_unchecked (xcb_connection_t *c ,
1906 xcb_window_t window ,
1907 xcb_atom_t property );
1908
1909
1910 /*****************************************************************************
1911 **
1912 ** char * xcb_selinux_get_property_context_context
1913 **
1914 ** @param const xcb_selinux_get_property_context_reply_t *R
1915 ** @returns char *
1916 **
1917 *****************************************************************************/
1918
1919 char *
1920 xcb_selinux_get_property_context_context (const xcb_selinux_get_property_context_reply_t *R );
1921
1922
1923 /*****************************************************************************
1924 **
1925 ** int xcb_selinux_get_property_context_context_length
1926 **
1927 ** @param const xcb_selinux_get_property_context_reply_t *R
1928 ** @returns int
1929 **
1930 *****************************************************************************/
1931
1932 int
1933 xcb_selinux_get_property_context_context_length (const xcb_selinux_get_property_context_reply_t *R );
1934
1935
1936 /*****************************************************************************
1937 **
1938 ** xcb_generic_iterator_t xcb_selinux_get_property_context_context_end
1939 **
1940 ** @param const xcb_selinux_get_property_context_reply_t *R
1941 ** @returns xcb_generic_iterator_t
1942 **
1943 *****************************************************************************/
1944
1945 xcb_generic_iterator_t
1946 xcb_selinux_get_property_context_context_end (const xcb_selinux_get_property_context_reply_t *R );
1947
1963 /*****************************************************************************
1964 **
1965 ** xcb_selinux_get_property_context_reply_t * xcb_selinux_get_property_context_reply
1966 **
1967 ** @param xcb_connection_t *c
1968 ** @param xcb_selinux_get_property_context_cookie_t cookie
1969 ** @param xcb_generic_error_t **e
1970 ** @returns xcb_selinux_get_property_context_reply_t *
1971 **
1972 *****************************************************************************/
1973
1974 xcb_selinux_get_property_context_reply_t *
1975 xcb_selinux_get_property_context_reply (xcb_connection_t *c ,
1976 xcb_selinux_get_property_context_cookie_t cookie ,
1977 xcb_generic_error_t **e );
1978
1979 int
1980 xcb_selinux_get_property_data_context_sizeof (const void *_buffer );
1981
1991 /*****************************************************************************
1992 **
1993 ** xcb_selinux_get_property_data_context_cookie_t xcb_selinux_get_property_data_context
1994 **
1995 ** @param xcb_connection_t *c
1996 ** @param xcb_window_t window
1997 ** @param xcb_atom_t property
1998 ** @returns xcb_selinux_get_property_data_context_cookie_t
1999 **
2000 *****************************************************************************/
2001
2002 xcb_selinux_get_property_data_context_cookie_t
2003 xcb_selinux_get_property_data_context (xcb_connection_t *c ,
2004 xcb_window_t window ,
2005 xcb_atom_t property );
2006
2019 /*****************************************************************************
2020 **
2021 ** xcb_selinux_get_property_data_context_cookie_t xcb_selinux_get_property_data_context_unchecked
2022 **
2023 ** @param xcb_connection_t *c
2024 ** @param xcb_window_t window
2025 ** @param xcb_atom_t property
2026 ** @returns xcb_selinux_get_property_data_context_cookie_t
2027 **
2028 *****************************************************************************/
2029
2030 xcb_selinux_get_property_data_context_cookie_t
2031 xcb_selinux_get_property_data_context_unchecked (xcb_connection_t *c ,
2032 xcb_window_t window ,
2033 xcb_atom_t property );
2034
2035
2036 /*****************************************************************************
2037 **
2038 ** char * xcb_selinux_get_property_data_context_context
2039 **
2040 ** @param const xcb_selinux_get_property_data_context_reply_t *R
2041 ** @returns char *
2042 **
2043 *****************************************************************************/
2044
2045 char *
2046 xcb_selinux_get_property_data_context_context (const xcb_selinux_get_property_data_context_reply_t *R );
2047
2048
2049 /*****************************************************************************
2050 **
2051 ** int xcb_selinux_get_property_data_context_context_length
2052 **
2053 ** @param const xcb_selinux_get_property_data_context_reply_t *R
2054 ** @returns int
2055 **
2056 *****************************************************************************/
2057
2058 int
2059 xcb_selinux_get_property_data_context_context_length (const xcb_selinux_get_property_data_context_reply_t *R );
2060
2061
2062 /*****************************************************************************
2063 **
2064 ** xcb_generic_iterator_t xcb_selinux_get_property_data_context_context_end
2065 **
2066 ** @param const xcb_selinux_get_property_data_context_reply_t *R
2067 ** @returns xcb_generic_iterator_t
2068 **
2069 *****************************************************************************/
2070
2071 xcb_generic_iterator_t
2072 xcb_selinux_get_property_data_context_context_end (const xcb_selinux_get_property_data_context_reply_t *R );
2073
2089 /*****************************************************************************
2090 **
2091 ** xcb_selinux_get_property_data_context_reply_t * xcb_selinux_get_property_data_context_reply
2092 **
2093 ** @param xcb_connection_t *c
2094 ** @param xcb_selinux_get_property_data_context_cookie_t cookie
2095 ** @param xcb_generic_error_t **e
2096 ** @returns xcb_selinux_get_property_data_context_reply_t *
2097 **
2098 *****************************************************************************/
2099
2100 xcb_selinux_get_property_data_context_reply_t *
2101 xcb_selinux_get_property_data_context_reply (xcb_connection_t *c ,
2102 xcb_selinux_get_property_data_context_cookie_t cookie ,
2103 xcb_generic_error_t **e );
2104
2105 int
2106 xcb_selinux_list_properties_sizeof (const void *_buffer );
2107
2117 /*****************************************************************************
2118 **
2119 ** xcb_selinux_list_properties_cookie_t xcb_selinux_list_properties
2120 **
2121 ** @param xcb_connection_t *c
2122 ** @param xcb_window_t window
2123 ** @returns xcb_selinux_list_properties_cookie_t
2124 **
2125 *****************************************************************************/
2126
2127 xcb_selinux_list_properties_cookie_t
2128 xcb_selinux_list_properties (xcb_connection_t *c ,
2129 xcb_window_t window );
2130
2143 /*****************************************************************************
2144 **
2145 ** xcb_selinux_list_properties_cookie_t xcb_selinux_list_properties_unchecked
2146 **
2147 ** @param xcb_connection_t *c
2148 ** @param xcb_window_t window
2149 ** @returns xcb_selinux_list_properties_cookie_t
2150 **
2151 *****************************************************************************/
2152
2153 xcb_selinux_list_properties_cookie_t
2154 xcb_selinux_list_properties_unchecked (xcb_connection_t *c ,
2155 xcb_window_t window );
2156
2157
2158 /*****************************************************************************
2159 **
2160 ** int xcb_selinux_list_properties_properties_length
2161 **
2162 ** @param const xcb_selinux_list_properties_reply_t *R
2163 ** @returns int
2164 **
2165 *****************************************************************************/
2166
2167 int
2168 xcb_selinux_list_properties_properties_length (const xcb_selinux_list_properties_reply_t *R );
2169
2170
2171 /*****************************************************************************
2172 **
2173 ** xcb_selinux_list_item_iterator_t xcb_selinux_list_properties_properties_iterator
2174 **
2175 ** @param const xcb_selinux_list_properties_reply_t *R
2176 ** @returns xcb_selinux_list_item_iterator_t
2177 **
2178 *****************************************************************************/
2179
2180 xcb_selinux_list_item_iterator_t
2181 xcb_selinux_list_properties_properties_iterator (const xcb_selinux_list_properties_reply_t *R );
2182
2198 /*****************************************************************************
2199 **
2200 ** xcb_selinux_list_properties_reply_t * xcb_selinux_list_properties_reply
2201 **
2202 ** @param xcb_connection_t *c
2203 ** @param xcb_selinux_list_properties_cookie_t cookie
2204 ** @param xcb_generic_error_t **e
2205 ** @returns xcb_selinux_list_properties_reply_t *
2206 **
2207 *****************************************************************************/
2208
2209 xcb_selinux_list_properties_reply_t *
2210 xcb_selinux_list_properties_reply (xcb_connection_t *c ,
2211 xcb_selinux_list_properties_cookie_t cookie ,
2212 xcb_generic_error_t **e );
2213
2214 int
2215 xcb_selinux_set_selection_create_context_sizeof (const void *_buffer );
2216
2229 /*****************************************************************************
2230 **
2231 ** xcb_void_cookie_t xcb_selinux_set_selection_create_context_checked
2232 **
2233 ** @param xcb_connection_t *c
2234 ** @param uint32_t context_len
2235 ** @param const char *context
2236 ** @returns xcb_void_cookie_t
2237 **
2238 *****************************************************************************/
2239
2240 xcb_void_cookie_t
2241 xcb_selinux_set_selection_create_context_checked (xcb_connection_t *c ,
2242 uint32_t context_len ,
2243 const char *context );
2244
2254 /*****************************************************************************
2255 **
2256 ** xcb_void_cookie_t xcb_selinux_set_selection_create_context
2257 **
2258 ** @param xcb_connection_t *c
2259 ** @param uint32_t context_len
2260 ** @param const char *context
2261 ** @returns xcb_void_cookie_t
2262 **
2263 *****************************************************************************/
2264
2265 xcb_void_cookie_t
2266 xcb_selinux_set_selection_create_context (xcb_connection_t *c ,
2267 uint32_t context_len ,
2268 const char *context );
2269
2270 int
2271 xcb_selinux_get_selection_create_context_sizeof (const void *_buffer );
2272
2282 /*****************************************************************************
2283 **
2284 ** xcb_selinux_get_selection_create_context_cookie_t xcb_selinux_get_selection_create_context
2285 **
2286 ** @param xcb_connection_t *c
2287 ** @returns xcb_selinux_get_selection_create_context_cookie_t
2288 **
2289 *****************************************************************************/
2290
2291 xcb_selinux_get_selection_create_context_cookie_t
2292 xcb_selinux_get_selection_create_context (xcb_connection_t *c );
2293
2306 /*****************************************************************************
2307 **
2308 ** xcb_selinux_get_selection_create_context_cookie_t xcb_selinux_get_selection_create_context_unchecked
2309 **
2310 ** @param xcb_connection_t *c
2311 ** @returns xcb_selinux_get_selection_create_context_cookie_t
2312 **
2313 *****************************************************************************/
2314
2315 xcb_selinux_get_selection_create_context_cookie_t
2316 xcb_selinux_get_selection_create_context_unchecked (xcb_connection_t *c );
2317
2318
2319 /*****************************************************************************
2320 **
2321 ** char * xcb_selinux_get_selection_create_context_context
2322 **
2323 ** @param const xcb_selinux_get_selection_create_context_reply_t *R
2324 ** @returns char *
2325 **
2326 *****************************************************************************/
2327
2328 char *
2329 xcb_selinux_get_selection_create_context_context (const xcb_selinux_get_selection_create_context_reply_t *R );
2330
2331
2332 /*****************************************************************************
2333 **
2334 ** int xcb_selinux_get_selection_create_context_context_length
2335 **
2336 ** @param const xcb_selinux_get_selection_create_context_reply_t *R
2337 ** @returns int
2338 **
2339 *****************************************************************************/
2340
2341 int
2342 xcb_selinux_get_selection_create_context_context_length (const xcb_selinux_get_selection_create_context_reply_t *R );
2343
2344
2345 /*****************************************************************************
2346 **
2347 ** xcb_generic_iterator_t xcb_selinux_get_selection_create_context_context_end
2348 **
2349 ** @param const xcb_selinux_get_selection_create_context_reply_t *R
2350 ** @returns xcb_generic_iterator_t
2351 **
2352 *****************************************************************************/
2353
2354 xcb_generic_iterator_t
2355 xcb_selinux_get_selection_create_context_context_end (const xcb_selinux_get_selection_create_context_reply_t *R );
2356
2372 /*****************************************************************************
2373 **
2374 ** xcb_selinux_get_selection_create_context_reply_t * xcb_selinux_get_selection_create_context_reply
2375 **
2376 ** @param xcb_connection_t *c
2377 ** @param xcb_selinux_get_selection_create_context_cookie_t cookie
2378 ** @param xcb_generic_error_t **e
2379 ** @returns xcb_selinux_get_selection_create_context_reply_t *
2380 **
2381 *****************************************************************************/
2382
2383 xcb_selinux_get_selection_create_context_reply_t *
2384 xcb_selinux_get_selection_create_context_reply (xcb_connection_t *c ,
2385 xcb_selinux_get_selection_create_context_cookie_t cookie ,
2386 xcb_generic_error_t **e );
2387
2388 int
2389 xcb_selinux_set_selection_use_context_sizeof (const void *_buffer );
2390
2403 /*****************************************************************************
2404 **
2405 ** xcb_void_cookie_t xcb_selinux_set_selection_use_context_checked
2406 **
2407 ** @param xcb_connection_t *c
2408 ** @param uint32_t context_len
2409 ** @param const char *context
2410 ** @returns xcb_void_cookie_t
2411 **
2412 *****************************************************************************/
2413
2414 xcb_void_cookie_t
2415 xcb_selinux_set_selection_use_context_checked (xcb_connection_t *c ,
2416 uint32_t context_len ,
2417 const char *context );
2418
2428 /*****************************************************************************
2429 **
2430 ** xcb_void_cookie_t xcb_selinux_set_selection_use_context
2431 **
2432 ** @param xcb_connection_t *c
2433 ** @param uint32_t context_len
2434 ** @param const char *context
2435 ** @returns xcb_void_cookie_t
2436 **
2437 *****************************************************************************/
2438
2439 xcb_void_cookie_t
2440 xcb_selinux_set_selection_use_context (xcb_connection_t *c ,
2441 uint32_t context_len ,
2442 const char *context );
2443
2444 int
2445 xcb_selinux_get_selection_use_context_sizeof (const void *_buffer );
2446
2456 /*****************************************************************************
2457 **
2458 ** xcb_selinux_get_selection_use_context_cookie_t xcb_selinux_get_selection_use_context
2459 **
2460 ** @param xcb_connection_t *c
2461 ** @returns xcb_selinux_get_selection_use_context_cookie_t
2462 **
2463 *****************************************************************************/
2464
2465 xcb_selinux_get_selection_use_context_cookie_t
2466 xcb_selinux_get_selection_use_context (xcb_connection_t *c );
2467
2480 /*****************************************************************************
2481 **
2482 ** xcb_selinux_get_selection_use_context_cookie_t xcb_selinux_get_selection_use_context_unchecked
2483 **
2484 ** @param xcb_connection_t *c
2485 ** @returns xcb_selinux_get_selection_use_context_cookie_t
2486 **
2487 *****************************************************************************/
2488
2489 xcb_selinux_get_selection_use_context_cookie_t
2490 xcb_selinux_get_selection_use_context_unchecked (xcb_connection_t *c );
2491
2492
2493 /*****************************************************************************
2494 **
2495 ** char * xcb_selinux_get_selection_use_context_context
2496 **
2497 ** @param const xcb_selinux_get_selection_use_context_reply_t *R
2498 ** @returns char *
2499 **
2500 *****************************************************************************/
2501
2502 char *
2503 xcb_selinux_get_selection_use_context_context (const xcb_selinux_get_selection_use_context_reply_t *R );
2504
2505
2506 /*****************************************************************************
2507 **
2508 ** int xcb_selinux_get_selection_use_context_context_length
2509 **
2510 ** @param const xcb_selinux_get_selection_use_context_reply_t *R
2511 ** @returns int
2512 **
2513 *****************************************************************************/
2514
2515 int
2516 xcb_selinux_get_selection_use_context_context_length (const xcb_selinux_get_selection_use_context_reply_t *R );
2517
2518
2519 /*****************************************************************************
2520 **
2521 ** xcb_generic_iterator_t xcb_selinux_get_selection_use_context_context_end
2522 **
2523 ** @param const xcb_selinux_get_selection_use_context_reply_t *R
2524 ** @returns xcb_generic_iterator_t
2525 **
2526 *****************************************************************************/
2527
2528 xcb_generic_iterator_t
2529 xcb_selinux_get_selection_use_context_context_end (const xcb_selinux_get_selection_use_context_reply_t *R );
2530
2546 /*****************************************************************************
2547 **
2548 ** xcb_selinux_get_selection_use_context_reply_t * xcb_selinux_get_selection_use_context_reply
2549 **
2550 ** @param xcb_connection_t *c
2551 ** @param xcb_selinux_get_selection_use_context_cookie_t cookie
2552 ** @param xcb_generic_error_t **e
2553 ** @returns xcb_selinux_get_selection_use_context_reply_t *
2554 **
2555 *****************************************************************************/
2556
2557 xcb_selinux_get_selection_use_context_reply_t *
2558 xcb_selinux_get_selection_use_context_reply (xcb_connection_t *c ,
2559 xcb_selinux_get_selection_use_context_cookie_t cookie ,
2560 xcb_generic_error_t **e );
2561
2562 int
2563 xcb_selinux_get_selection_context_sizeof (const void *_buffer );
2564
2574 /*****************************************************************************
2575 **
2576 ** xcb_selinux_get_selection_context_cookie_t xcb_selinux_get_selection_context
2577 **
2578 ** @param xcb_connection_t *c
2579 ** @param xcb_atom_t selection
2580 ** @returns xcb_selinux_get_selection_context_cookie_t
2581 **
2582 *****************************************************************************/
2583
2584 xcb_selinux_get_selection_context_cookie_t
2585 xcb_selinux_get_selection_context (xcb_connection_t *c ,
2586 xcb_atom_t selection );
2587
2600 /*****************************************************************************
2601 **
2602 ** xcb_selinux_get_selection_context_cookie_t xcb_selinux_get_selection_context_unchecked
2603 **
2604 ** @param xcb_connection_t *c
2605 ** @param xcb_atom_t selection
2606 ** @returns xcb_selinux_get_selection_context_cookie_t
2607 **
2608 *****************************************************************************/
2609
2610 xcb_selinux_get_selection_context_cookie_t
2611 xcb_selinux_get_selection_context_unchecked (xcb_connection_t *c ,
2612 xcb_atom_t selection );
2613
2614
2615 /*****************************************************************************
2616 **
2617 ** char * xcb_selinux_get_selection_context_context
2618 **
2619 ** @param const xcb_selinux_get_selection_context_reply_t *R
2620 ** @returns char *
2621 **
2622 *****************************************************************************/
2623
2624 char *
2625 xcb_selinux_get_selection_context_context (const xcb_selinux_get_selection_context_reply_t *R );
2626
2627
2628 /*****************************************************************************
2629 **
2630 ** int xcb_selinux_get_selection_context_context_length
2631 **
2632 ** @param const xcb_selinux_get_selection_context_reply_t *R
2633 ** @returns int
2634 **
2635 *****************************************************************************/
2636
2637 int
2638 xcb_selinux_get_selection_context_context_length (const xcb_selinux_get_selection_context_reply_t *R );
2639
2640
2641 /*****************************************************************************
2642 **
2643 ** xcb_generic_iterator_t xcb_selinux_get_selection_context_context_end
2644 **
2645 ** @param const xcb_selinux_get_selection_context_reply_t *R
2646 ** @returns xcb_generic_iterator_t
2647 **
2648 *****************************************************************************/
2649
2650 xcb_generic_iterator_t
2651 xcb_selinux_get_selection_context_context_end (const xcb_selinux_get_selection_context_reply_t *R );
2652
2668 /*****************************************************************************
2669 **
2670 ** xcb_selinux_get_selection_context_reply_t * xcb_selinux_get_selection_context_reply
2671 **
2672 ** @param xcb_connection_t *c
2673 ** @param xcb_selinux_get_selection_context_cookie_t cookie
2674 ** @param xcb_generic_error_t **e
2675 ** @returns xcb_selinux_get_selection_context_reply_t *
2676 **
2677 *****************************************************************************/
2678
2679 xcb_selinux_get_selection_context_reply_t *
2680 xcb_selinux_get_selection_context_reply (xcb_connection_t *c ,
2681 xcb_selinux_get_selection_context_cookie_t cookie ,
2682 xcb_generic_error_t **e );
2683
2684 int
2685 xcb_selinux_get_selection_data_context_sizeof (const void *_buffer );
2686
2696 /*****************************************************************************
2697 **
2698 ** xcb_selinux_get_selection_data_context_cookie_t xcb_selinux_get_selection_data_context
2699 **
2700 ** @param xcb_connection_t *c
2701 ** @param xcb_atom_t selection
2702 ** @returns xcb_selinux_get_selection_data_context_cookie_t
2703 **
2704 *****************************************************************************/
2705
2706 xcb_selinux_get_selection_data_context_cookie_t
2707 xcb_selinux_get_selection_data_context (xcb_connection_t *c ,
2708 xcb_atom_t selection );
2709
2722 /*****************************************************************************
2723 **
2724 ** xcb_selinux_get_selection_data_context_cookie_t xcb_selinux_get_selection_data_context_unchecked
2725 **
2726 ** @param xcb_connection_t *c
2727 ** @param xcb_atom_t selection
2728 ** @returns xcb_selinux_get_selection_data_context_cookie_t
2729 **
2730 *****************************************************************************/
2731
2732 xcb_selinux_get_selection_data_context_cookie_t
2733 xcb_selinux_get_selection_data_context_unchecked (xcb_connection_t *c ,
2734 xcb_atom_t selection );
2735
2736
2737 /*****************************************************************************
2738 **
2739 ** char * xcb_selinux_get_selection_data_context_context
2740 **
2741 ** @param const xcb_selinux_get_selection_data_context_reply_t *R
2742 ** @returns char *
2743 **
2744 *****************************************************************************/
2745
2746 char *
2747 xcb_selinux_get_selection_data_context_context (const xcb_selinux_get_selection_data_context_reply_t *R );
2748
2749
2750 /*****************************************************************************
2751 **
2752 ** int xcb_selinux_get_selection_data_context_context_length
2753 **
2754 ** @param const xcb_selinux_get_selection_data_context_reply_t *R
2755 ** @returns int
2756 **
2757 *****************************************************************************/
2758
2759 int
2760 xcb_selinux_get_selection_data_context_context_length (const xcb_selinux_get_selection_data_context_reply_t *R );
2761
2762
2763 /*****************************************************************************
2764 **
2765 ** xcb_generic_iterator_t xcb_selinux_get_selection_data_context_context_end
2766 **
2767 ** @param const xcb_selinux_get_selection_data_context_reply_t *R
2768 ** @returns xcb_generic_iterator_t
2769 **
2770 *****************************************************************************/
2771
2772 xcb_generic_iterator_t
2773 xcb_selinux_get_selection_data_context_context_end (const xcb_selinux_get_selection_data_context_reply_t *R );
2774
2790 /*****************************************************************************
2791 **
2792 ** xcb_selinux_get_selection_data_context_reply_t * xcb_selinux_get_selection_data_context_reply
2793 **
2794 ** @param xcb_connection_t *c
2795 ** @param xcb_selinux_get_selection_data_context_cookie_t cookie
2796 ** @param xcb_generic_error_t **e
2797 ** @returns xcb_selinux_get_selection_data_context_reply_t *
2798 **
2799 *****************************************************************************/
2800
2801 xcb_selinux_get_selection_data_context_reply_t *
2802 xcb_selinux_get_selection_data_context_reply (xcb_connection_t *c ,
2803 xcb_selinux_get_selection_data_context_cookie_t cookie ,
2804 xcb_generic_error_t **e );
2805
2806 int
2807 xcb_selinux_list_selections_sizeof (const void *_buffer );
2808
2818 /*****************************************************************************
2819 **
2820 ** xcb_selinux_list_selections_cookie_t xcb_selinux_list_selections
2821 **
2822 ** @param xcb_connection_t *c
2823 ** @returns xcb_selinux_list_selections_cookie_t
2824 **
2825 *****************************************************************************/
2826
2827 xcb_selinux_list_selections_cookie_t
2828 xcb_selinux_list_selections (xcb_connection_t *c );
2829
2842 /*****************************************************************************
2843 **
2844 ** xcb_selinux_list_selections_cookie_t xcb_selinux_list_selections_unchecked
2845 **
2846 ** @param xcb_connection_t *c
2847 ** @returns xcb_selinux_list_selections_cookie_t
2848 **
2849 *****************************************************************************/
2850
2851 xcb_selinux_list_selections_cookie_t
2852 xcb_selinux_list_selections_unchecked (xcb_connection_t *c );
2853
2854
2855 /*****************************************************************************
2856 **
2857 ** int xcb_selinux_list_selections_selections_length
2858 **
2859 ** @param const xcb_selinux_list_selections_reply_t *R
2860 ** @returns int
2861 **
2862 *****************************************************************************/
2863
2864 int
2865 xcb_selinux_list_selections_selections_length (const xcb_selinux_list_selections_reply_t *R );
2866
2867
2868 /*****************************************************************************
2869 **
2870 ** xcb_selinux_list_item_iterator_t xcb_selinux_list_selections_selections_iterator
2871 **
2872 ** @param const xcb_selinux_list_selections_reply_t *R
2873 ** @returns xcb_selinux_list_item_iterator_t
2874 **
2875 *****************************************************************************/
2876
2877 xcb_selinux_list_item_iterator_t
2878 xcb_selinux_list_selections_selections_iterator (const xcb_selinux_list_selections_reply_t *R );
2879
2895 /*****************************************************************************
2896 **
2897 ** xcb_selinux_list_selections_reply_t * xcb_selinux_list_selections_reply
2898 **
2899 ** @param xcb_connection_t *c
2900 ** @param xcb_selinux_list_selections_cookie_t cookie
2901 ** @param xcb_generic_error_t **e
2902 ** @returns xcb_selinux_list_selections_reply_t *
2903 **
2904 *****************************************************************************/
2905
2906 xcb_selinux_list_selections_reply_t *
2907 xcb_selinux_list_selections_reply (xcb_connection_t *c ,
2908 xcb_selinux_list_selections_cookie_t cookie ,
2909 xcb_generic_error_t **e );
2910
2911 int
2912 xcb_selinux_get_client_context_sizeof (const void *_buffer );
2913
2923 /*****************************************************************************
2924 **
2925 ** xcb_selinux_get_client_context_cookie_t xcb_selinux_get_client_context
2926 **
2927 ** @param xcb_connection_t *c
2928 ** @param uint32_t resource
2929 ** @returns xcb_selinux_get_client_context_cookie_t
2930 **
2931 *****************************************************************************/
2932
2933 xcb_selinux_get_client_context_cookie_t
2934 xcb_selinux_get_client_context (xcb_connection_t *c ,
2935 uint32_t resource );
2936
2949 /*****************************************************************************
2950 **
2951 ** xcb_selinux_get_client_context_cookie_t xcb_selinux_get_client_context_unchecked
2952 **
2953 ** @param xcb_connection_t *c
2954 ** @param uint32_t resource
2955 ** @returns xcb_selinux_get_client_context_cookie_t
2956 **
2957 *****************************************************************************/
2958
2959 xcb_selinux_get_client_context_cookie_t
2960 xcb_selinux_get_client_context_unchecked (xcb_connection_t *c ,
2961 uint32_t resource );
2962
2963
2964 /*****************************************************************************
2965 **
2966 ** char * xcb_selinux_get_client_context_context
2967 **
2968 ** @param const xcb_selinux_get_client_context_reply_t *R
2969 ** @returns char *
2970 **
2971 *****************************************************************************/
2972
2973 char *
2974 xcb_selinux_get_client_context_context (const xcb_selinux_get_client_context_reply_t *R );
2975
2976
2977 /*****************************************************************************
2978 **
2979 ** int xcb_selinux_get_client_context_context_length
2980 **
2981 ** @param const xcb_selinux_get_client_context_reply_t *R
2982 ** @returns int
2983 **
2984 *****************************************************************************/
2985
2986 int
2987 xcb_selinux_get_client_context_context_length (const xcb_selinux_get_client_context_reply_t *R );
2988
2989
2990 /*****************************************************************************
2991 **
2992 ** xcb_generic_iterator_t xcb_selinux_get_client_context_context_end
2993 **
2994 ** @param const xcb_selinux_get_client_context_reply_t *R
2995 ** @returns xcb_generic_iterator_t
2996 **
2997 *****************************************************************************/
2998
2999 xcb_generic_iterator_t
3000 xcb_selinux_get_client_context_context_end (const xcb_selinux_get_client_context_reply_t *R );
3001
3017 /*****************************************************************************
3018 **
3019 ** xcb_selinux_get_client_context_reply_t * xcb_selinux_get_client_context_reply
3020 **
3021 ** @param xcb_connection_t *c
3022 ** @param xcb_selinux_get_client_context_cookie_t cookie
3023 ** @param xcb_generic_error_t **e
3024 ** @returns xcb_selinux_get_client_context_reply_t *
3025 **
3026 *****************************************************************************/
3027
3028 xcb_selinux_get_client_context_reply_t *
3029 xcb_selinux_get_client_context_reply (xcb_connection_t *c ,
3030 xcb_selinux_get_client_context_cookie_t cookie ,
3031 xcb_generic_error_t **e );
3032
3033
3034 #ifdef __cplusplus
3035 }
3036 #endif
3037
3038 #endif
3039